KTextEditor::ClipboardInterface Class Referenceabstract

`#include <clipboardinterface.h>`

## Public Member Functions

unsigned int | clipboardInterfaceNumber () const
virtual void | copy () const =0
virtual void | cut ()=0
virtual void | paste ()=0

## Protected Member Functions

void | setClipboardInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateClipboardInterface

## Detailed Description

This is an interface for accessing the clipboard through the View class.

Definition at line 32 of file ktexteditor/clipboardinterface.h.

## Member Function Documentation

virtual void KTextEditor::ClipboardInterface::copy | ( |  | ) | const

pure virtual

slots !!!

copies selected text

virtual void KTextEditor::ClipboardInterface::cut | ( |  | ) |

pure virtual

copies selected text

virtual void KTextEditor::ClipboardInterface::paste | ( |  | ) |

pure virtual

copies selected text

The documentation for this class was generated from the following files:

- ktexteditor/clipboardinterface.h
- clipboardinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys